<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<title> Postfix stable release 2.7.0 </title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">

</head>

<body>

<h1> Postfix stable release 2.7.0 </h1>

<p>
An on-line version of this announcement is available at
<a href="http://www.postfix.org/announcements/postfix-2.7.0.html">http://www.postfix.org/announcements/postfix-2.7.0.html</a>
</p>

<p>
Postfix stable release 2.7.0 is available. For the past several
releases, the focus has moved towards improving the code and
documentation, and updating the system for changing environments.
</p>

<ul>

<li> <p>
  Improved before-queue content filter performance. With
  "<a href="../postconf.5.html#smtpd_proxy_options">smtpd_proxy_options</a> = speed_adjust", the Postfix SMTP server
  receives the entire message before it connects to a before-queue
  content filter. Typically, this allows Postfix to handle the same
  mail load with fewer content filter processes.

</p>

<li> <p>
  Improved address verification performance. The <a href="../verify.8.html">verify</a> database
  is now persistent by default, and it is automatically cleaned
  periodically. Under overload conditions, the Postfix SMTP server
  no longer waits up to 6 seconds for an address probe to complete.
</p>

<li> <p>
  Support for reputation management based on the local SMTP client
  IP address. This is typically implemented with "FILTER transportname:"
  actions in access maps or header/body checks, and mail delivery
  transports in master.cf with unique smtp_bind_address values.
</p>

<li> <p>

  The <a href="../postscreen.8.html">postscreen</a> daemon (a zombie-blocker in front of Postfix) is
  still too rough for a stable release, and will be made "mature"
  in the Postfix 2.8 development cycle (however you can use Postfix
  2.7 with the Postfix 2.8 <a href="../postscreen.8.html">postscreen</a> and <a href="../dnsblog.8.html">dnsblog</a> executables and
  master.cf configuration; this code has already proven itself).
</p>

</ul>

<p>
No functionality has been removed, but it is a good idea to review
the RELEASE_NOTES file for the usual minor incompatibilities or
limitations.
</p>

<p>
You can find Postfix version 2.7.0 at the mirrors listed at
<a href="http://www.postfix.org/">http://www.postfix.org/</a>
</p>

<p>
The same code (but with <a href="../postscreen.8.html">postscreen</a> included) is also available as
Postfix snapshot 2.8-20100213.  Updated versions of Postfix version
2.6, 2.5 and perhaps earlier will be released with the same fixes
that were already included with Postfix versions 2.7 and 2.8.  </p>

</body>

</html>
